/************************************************************************/
/*																		*/
/*	Dint.h	--	Interface Declarations for PIC32 Interupts				*/
/*																		*/
/************************************************************************/
/*	Author:		Oliver Jones											*/
/*	Copyright 2011, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*																		*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	07/21/2011(OliverJ): created										*/
/*																		*/
/************************************************************************/

#if !defined(DINT_INC)
#define DINT_INC

/* ------------------------------------------------------------ */
/*					General Type Declarations					*/
/* ------------------------------------------------------------ */

/* INTCON
*/
// Bits 31-17 Unimplemented
#define bnSs0			16
// Bit 15-13 Unimplemented
#define bnMvec			12
// Bit 11 Unimplemented
#define bnTpc2			10
#define bnTpc1			9
#define bnTpc0			8
// Bits 7-5 Unimplemented
#define bnInt4ep		4
#define bnInt3ep		3
#define bnInt2ep		2
#define bnInt1ep		1
#define bnInt0ep		0
/*******************************/

/* IFS0
*/
#define bnI2c1mif			31
#define bnI2c1sif			30
#define bnI2c1bif			29
#define bnU1txif			28
#define bnSpi3txif			28
#define bnI2c3mif			28
#define bnU1rxif			27
#define bnSpi3rxif			27
#define bnI2c3sif			27
#define bnU1eif				26
#define bnSpi3eif			26
#define bnI2c3bif			26
//Bits 25-23 Reserved
#define bnOc5if				22
#define bnIc5if				21
#define bnT5if				20
#define bnInt4if			19
#define bnOc4if				18
#define bnIc4if				17
#define bnT4if				16
#define bnInt3if			15
#define bnOc3if				14
#define bnIc3if				13
#define bnT3if				12
#define bnInt2if			11
#define bnOc2if				10
#define bnIc2if				9
#define bnT2if				8
#define bnInt1if			7
#define bnOc1if				6
#define bnIc1if				5
#define bnT1if				4
#define bnInt0if			3
#define bnCs1if				2
#define bnCs0if				1
#define bnCtif				0
/*******************************/

/* IFS1
*/
#define bnRtccif			15
#define bnFscmif			14
#define bnI2c2mif			13
#define bnI2c2sif			12
#define bnI2c2bif			11
#define bnU2txif			10
#define bnU2rxif			9
#define bnU2eif				8
#define bnSpi2rxif			7
#define bnSpi2txif			6
#define bnSpi2eif			5
#define bnCmp2if			4
#define bnCmp1if			3
#define bnPmpif				2
#define bnAd1if				1
#define bnCnif				0
/*******************************/

/* IEC0
*/
#define bnI2c1mie			31
#define bnI2c1sie			30
#define bnI2c1bie			29
#define bnU1txie			28
#define bnSpi3txie			28
#define bnI2c3mie			28
#define bnU1rxie			27
#define bnSpi3rxie			27
#define bnI2c3sie			27
#define bnU1eie				26
#define bnSpi3eie			26
#define bnI2c3bie			26
//Bits 25-23 Reserved
#define bnOc5ie				22
#define bnIc5ie				21
#define bnT5ie				20
#define bnInt4ie			19
#define bnOc4ie				18
#define bnIc4ie				17
#define bnT4ie				16
#define bnInt3ie			15
#define bnOc3ie				14
#define bnIc3ie				13
#define bnT3ie				12
#define bnInt2ie			11
#define bnOc2ie				10
#define bnIc2ie				9
#define bnT2ie				8
#define bnInt1ie			7
#define bnOc1ie				6
#define bnIc1ie				5
#define bnT1ie				4
#define bnInt0ie			3
#define bnCs1ie				2
#define bnCs0ie				1
#define bnCtie				0
/*******************************/

/* IEC1
*/
#define bnRtccie			15
#define bnFscmie			14
#define bnI2c2mie			13
#define bnI2c2sie			12
#define bnI2c2bie			11
#define bnU2txie			10
#define bnU2rxie			9
#define bnU2eie				8
#define bnSpi2rxie			7
#define bnSpi2txie			6
#define bnSpi2eie			5
#define bnCmp2ie			4
#define bnCmp1ie			3
#define bnPmpie				2
#define bnAd1ie				1
#define bnCnie				0
/*******************************/

void DintMultiVectorMode();

#endif
